Bug 118840 - mke2fs -T largefile causes: Floating point exception
mke2fs -T largefile causes: Floating point exception
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-21 08:50 EST by Peter Bieringer
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-20 09:11:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2004-03-21 08:50:38 EST
Description of problem:
mke2fs -T largefile causes floating point exception

Version-Release number of selected component (if applicable):
e2fsprogs-1.34-1

How reproducible:
Always

Steps to Reproduce:
1. Create a new partition on a harddisk
2. Execute mke2fs -j -T largefile /dev/hdg2
    

Actual Results:  # fdisk -l /dev/hdg

Disk /dev/hdg: 81.9 GB, 81964302336 bytes
255 heads, 63 sectors/track, 9964 cylinders
Units = cylinders of 16065 * 512 = 8225280 bytes

   Device Boot    Start       End    Blocks   Id  System
/dev/hdg1             1      5000  40162468+  83  Linux
/dev/hdg2          5001      9964  39873330   83  Linux

# mke2fs -j -T largefile /dev/hdg2
mke2fs 1.34 (25-Jul-2003)
Floating point exception

Expected Results:  No such error

Additional info:

# mke2fs -j /dev/hdg2
-> works

Strace reports:
...
read(3, "", 4096)                       = 0
stat64("/", {st_mode=S_IFDIR|0755, st_size=4096, ...}) = 0
close(3)                                = 0
munmap(0x40017000, 4096)                = 0
open("/dev/hdg2", O_RDONLY|O_LARGEFILE) = 3
ioctl(3, BLKGETSIZE, 0xbffff7fc)        = 0
close(3)                                = 0
open("/dev/hdg2", O_RDONLY|O_LARGEFILE) = 3
ioctl(3, BLKSSZGET, 0xbffff8a0)         = 0
close(3)                                = 0
--- SIGFPE (Floating point exception) @ 0 (0) ---
+++ killed by SIGFPE +++

ltrace reports:
fprintf(0x401837a0, "mke2fs %s (%s)\n", "1.34", "25-Jul-2003"mke2fs
1.34 (25-Jul-2003)
)                                                   = 26
__xstat64(3, "/dev/hdg2", 0xbffff7c0)                                
                                           = 0
dcgettext(0, 0x0804d869, 5, 0x0804d889, 0)                           
                                           = 0x0804d869
ext2fs_check_if_mounted(0xbffffc3b, 0xbffff82c, 0x4007111f,
0x0804ff48, 0x0804d869)                              = 0
ext2fs_get_device_size(0xbffffc3b, 1024, 0xbffff8a4, 0x0804d889, 0)  
                                           = 0
ext2fs_get_device_sectsize(0xbffffc3b, 0xbffff8a0, 0xbffff8a4,
0x0804d889, 0)                                    = 0
strcmp("default", "largefile")                                       
                                           = -1
strcmp("default", "default")                                         
                                           = 0
strcmp("default", "largefile")                                       
                                           = -1
strcmp("default", "default")                                         
                                           = 0
strcmp("default", "largefile")                                       
                                           = -1
strcmp("default", "default")                                         
                                           = 0
strcmp("journal", "largefile")                                       
                                           = -1
strcmp("journal", "default")                                         
                                           = 1
strcmp("news", "largefile")                                          
                                           = 1
strcmp("news", "default")                                            
                                           = 1
strcmp("largefile", "largefile")                                     
                                           = 0
strcmp("largefile4", "largefile")                                    
                                           = 1
strcmp("largefile4", "default")                                      
                                           = 1
--- SIGFPE (Floating point exception) ---
+++ killed by SIGFPE +++



coredump reports:
Core was generated by `mke2fs -j -T largefile /dev/hdg2'.
Program terminated with signal 8, Arithmetic exception.
Reading symbols from /lib/libext2fs.so.2...(no debugging symbols
found)...done.
Loaded symbols for /lib/libext2fs.so.2
Reading symbols from /lib/libcom_err.so.2...(no debugging symbols
found)...done.
Loaded symbols for /lib/libcom_err.so.2
Reading symbols from /lib/libblkid.so.1...(no debugging symbols
found)...done.
Loaded symbols for /lib/libblkid.so.1
Reading symbols from /lib/libuuid.so.1...(no debugging symbols
found)...done.
Loaded symbols for /lib/libuuid.so.1
Reading symbols from /lib/libe2p.so.2...(no debugging symbols
found)...done.
Loaded symbols for /lib/libe2p.so.2
Reading symbols from /lib/tls/libc.so.6...(no debugging symbols
found)...done.
Loaded symbols for /lib/tls/libc.so.6
Reading symbols from /lib/ld-linux.so.2...(no debugging symbols
found)...done.
Loaded symbols for /lib/ld-linux.so.2
#0  0x080499c0 in ?? ()
(gdb) bt
#0  0x080499c0 in ?? ()
#1  0x0804d4c6 in _IO_stdin_used ()
#2  0x0804f028 in ?? ()
#3  0x4011ceac in __close_nocancel () from /lib/tls/libc.so.6
#4  0x40032726 in ext2fs_get_device_sectsize () from /lib/libext2fs.so.2
#5  0x0804bd22 in ?? ()
#6  0xbffffc34 in ?? ()
#7  0x0804f360 in optind ()
Comment 1 Thomas Woerner 2004-03-31 04:33:19 EST
Can you please have a look at the latest rawhide package?
This is e2fsprogs-1.35-7.
Comment 2 Peter Bieringer 2004-04-04 09:39:42 EDT
Using RPM package from FC1.91 (suggested version) it works:

# mke2fs -j -n -T largefile /dev/hdg2
mke2fs 1.34 (25-Jul-2003)
Floating point exception

# mke2fs -j -n -T largefile /dev/hdg2
mke2fs 1.35 (28-Feb-2004)
Filesystem label=
OS type: Linux
Block size=4096 (log=2)
Fragment size=4096 (log=2)
39040 inodes, 9968332 blocks
498416 blocks (5.00%) reserved for the super user
First data block=0
305 block groups
32768 blocks per group, 32768 fragments per group
128 inodes per group
Superblock backups stored on blocks:
        32768, 98304, 163840, 229376, 294912, 819200, 884736, 1605632,
2654208,
        4096000, 7962624
Comment 3 Thomas Woerner 2004-04-20 09:11:00 EDT
Fixed in rawhide in rpm e2fsprogs-1.35-7.1 or newer.

Note You need to log in before you can comment on or make changes to this bug.